de.vc.io.rtf.parser

## Class RTFBorderProperties

- java.lang.Object
- - de.vc.io.rtf.parser.RTFBorderProperties

- All Implemented Interfaces:
    java.lang.Cloneable

      public class RTFBorderProperties
      extends java.lang.Object
      implements java.lang.Cloneable

  RTF border properties.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BORDER_DASHED`
    `static int` | `BORDER_DOT_DASH`
    `static int` | `BORDER_DOT_DOT_DASH`
    `static int` | `BORDER_DOTTED`
    `static int` | `BORDER_DOUBLE_LINE`
    `static int` | `BORDER_DOUBLE_THICKNESS`
    `static int` | `BORDER_DOUBLE_WAVY`
    `static int` | `BORDER_EMBOSS`
    `static int` | `BORDER_ENGRAVE`
    `static int` | `BORDER_HAIRLINE`
    `static int` | `BORDER_INSET`
    `static int` | `BORDER_NONE`
    `static int` | `BORDER_OUTSET`
    `static int` | `BORDER_SHADOWED`
    `static int` | `BORDER_SIMPLE`
    `static int` | `BORDER_SMALL_DASH`
    `static int` | `BORDER_STRIPED`
    `static int` | `BORDER_THICK_THIN_LARGE`
    `static int` | `BORDER_THICK_THIN_MEDIUM`
    `static int` | `BORDER_THICK_THIN_SMALL`
    `static int` | `BORDER_THIN_THICK_LARGE`
    `static int` | `BORDER_THIN_THICK_MEDIUM`
    `static int` | `BORDER_THIN_THICK_SMALL`
    `static int` | `BORDER_THIN_THICK_THIN_LARGE`
    `static int` | `BORDER_THIN_THICK_THIN_MEDIUM`
    `static int` | `BORDER_THIN_THICK_THIN_SMALL`
    `static int` | `BORDER_TRIPLE_LINE`
    `static int` | `BORDER_WAVY`
    `java.awt.Color` | `color`
    `int` | `space`
    `int` | `type`
    `int` | `width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RTFBorderProperties()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RTFBorderProperties` | `copy()`
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BORDER_NONE

          public static final int BORDER_NONE

      See Also:
        Constant Field Values

    - #### BORDER_SIMPLE

          public static final int BORDER_SIMPLE

      See Also:
        Constant Field Values

    - #### BORDER_DOUBLE_THICKNESS

          public static final int BORDER_DOUBLE_THICKNESS

      See Also:
        Constant Field Values

    - #### BORDER_SHADOWED

          public static final int BORDER_SHADOWED

      See Also:
        Constant Field Values

    - #### BORDER_DOUBLE_LINE

          public static final int BORDER_DOUBLE_LINE

      See Also:
        Constant Field Values

    - #### BORDER_DOTTED

          public static final int BORDER_DOTTED

      See Also:
        Constant Field Values

    - #### BORDER_DASHED

          public static final int BORDER_DASHED

      See Also:
        Constant Field Values

    - #### BORDER_HAIRLINE

          public static final int BORDER_HAIRLINE

      See Also:
        Constant Field Values

    - #### BORDER_SMALL_DASH

          public static final int BORDER_SMALL_DASH

      See Also:
        Constant Field Values

    - #### BORDER_DOT_DASH

          public static final int BORDER_DOT_DASH

      See Also:
        Constant Field Values

    - #### BORDER_DOT_DOT_DASH

          public static final int BORDER_DOT_DOT_DASH

      See Also:
        Constant Field Values

    - #### BORDER_TRIPLE_LINE

          public static final int BORDER_TRIPLE_LINE

      See Also:
        Constant Field Values

    - #### BORDER_WAVY

          public static final int BORDER_WAVY

      See Also:
        Constant Field Values

    - #### BORDER_DOUBLE_WAVY

          public static final int BORDER_DOUBLE_WAVY

      See Also:
        Constant Field Values

    - #### BORDER_STRIPED

          public static final int BORDER_STRIPED

      See Also:
        Constant Field Values

    - #### BORDER_EMBOSS

          public static final int BORDER_EMBOSS

      See Also:
        Constant Field Values

    - #### BORDER_ENGRAVE

          public static final int BORDER_ENGRAVE

      See Also:
        Constant Field Values

    - #### BORDER_THICK_THIN_SMALL

          public static final int BORDER_THICK_THIN_SMALL

      See Also:
        Constant Field Values

    - #### BORDER_THIN_THICK_SMALL

          public static final int BORDER_THIN_THICK_SMALL

      See Also:
        Constant Field Values

    - #### BORDER_THIN_THICK_THIN_SMALL

          public static final int BORDER_THIN_THICK_THIN_SMALL

      See Also:
        Constant Field Values

    - #### BORDER_THICK_THIN_MEDIUM

          public static final int BORDER_THICK_THIN_MEDIUM

      See Also:
        Constant Field Values

    - #### BORDER_THIN_THICK_MEDIUM

          public static final int BORDER_THIN_THICK_MEDIUM

      See Also:
        Constant Field Values

    - #### BORDER_THIN_THICK_THIN_MEDIUM

          public static final int BORDER_THIN_THICK_THIN_MEDIUM

      See Also:
        Constant Field Values

    - #### BORDER_THICK_THIN_LARGE

          public static final int BORDER_THICK_THIN_LARGE

      See Also:
        Constant Field Values

    - #### BORDER_THIN_THICK_LARGE

          public static final int BORDER_THIN_THICK_LARGE

      See Also:
        Constant Field Values

    - #### BORDER_THIN_THICK_THIN_LARGE

          public static final int BORDER_THIN_THICK_THIN_LARGE

      See Also:
        Constant Field Values

    - #### BORDER_OUTSET

          public static final int BORDER_OUTSET

      See Also:
        Constant Field Values

    - #### BORDER_INSET

          public static final int BORDER_INSET

      See Also:
        Constant Field Values

    - #### type

          public int type

    - #### width

          public int width

    - #### space

          public int space

    - #### color

          public java.awt.Color color

  - ### Constructor Detail

    - #### RTFBorderProperties

          public RTFBorderProperties()

  - ### Method Detail

    - #### copy

          public RTFBorderProperties copy()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.